#spec from source code(%{name}-%{version}.tar.gz)
Name:     pigz
Version:  2.8
Release:  1
Summary:  pigz is a parallel implementation of gzip which utilizes multiple cores
License:  zlib
Source0:  http://www.zlib.net/%{name}/%{name}-%{version}.tar.gz
URL:      http://www.zlib.net/pigz

BuildRequires: zlib-devel gcc
Patch0: 0001-pigz-fix-cc.patch

%description
pigz, which stands for parallel implementation of gzip, is a fully functional replacement for gzip that
exploits multiple processors and multiple cores to the hilt when compressing data. pigz was written by
Mark Adler, and uses the zlib and pthread libraries.

%package_help


%prep
%autosetup -n %{name}-%{version} -p1

%build
%make_build CFLAGS="%{optflags}"

%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
mv pigz unpigz ${RPM_BUILD_ROOT}%{_bindir}
mv pigz.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

%check
make test

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*pigz

%files help
%{_mandir}/man1/pigz.1*

%changelog
* Tue Jul  9 2024 warlcok <hunan@kylinos.cn> - 2.8-1
- update to 2.8

* Sun Mar 10 2024 wyxhjr <yuexiang.oerv@isrc.iscas.ac.cn> - 2.7-3
- Type: bugfix
- ID: NA
- SUG: NA
- DESC: fix software package

* Sun Apr 23 2023 Zhang Chao <chaozhangm@isoftstone.com> - 2.7-2
- Fix CC compiler support

* Thu Jan 19 2023 zhangnan <zhangnan134@huawei.com> - 2.7-1
- update to 2.7

* Tue Oct 25 2022 yanglongkang<yanglongkang@h-partners.com> - 2.6-2
- Type: bugfix
- ID: NA
- SUG: NA
- DESC: rebuild for next release

* Fri Dec 3 2021 guozhaorui<guozhaorui1@huawei.com> - 2.6-1
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: update version to 2.6

* Wed Dec 4 2019 shenyangyang<shenyangyang4@huawei.com> - 2.4-7
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: modify comments

* Wed Oct 9 2019 shenyangyang<shenyangyang4@huawei.com> - 2.4-6
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:modify spec according the spec in tarball

* Tue Sep 24 2019 shenyangyang<shenyangyang4@huawei.com> - 2.4-5
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add help package

* Fri Aug 09 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.4-4
- Package init

